# ResolvedArtifactResult

interface ResolvedArtifactResult : ArtifactResult

The result of successfully resolving an artifact.

#### Since

2.0

## Functions

getFile
Link copied to clipboard
abstract fun getFile(): File
The file for the artifact.
getId
Link copied to clipboard
abstract fun getId(): ComponentArtifactIdentifier
getType
Link copied to clipboard
abstract fun getType(): Class<out Artifact>
getVariant
Link copied to clipboard
abstract fun getVariant(): ResolvedVariantResult
The variant that included this artifact.